I2C_VERIFY_CLIENT(9)

NAME
i2c_verify_client - return parameter as i2c_client, or NULL

SYNOPSIS

struct i2c_client * i2c_verify_client(struct device * dev);

ARGUMENTS

dev
    device, probably from some driver model iterator

DESCRIPTION

When traversing the driver model tree, perhaps using driver model iterators like @device_for_each_child, you can't assume very much about the nodes you find. Use this function to avoid oopses caused by wrongly treating some non-I2C device as an i2c_client.

COPYRIGHT